Skip to content

API Reference

Update an existing transaction check

PUT /transaction_check https://transaction-api.cable.tech

Authentication

  • Bearer token in the Authorization header

Request body

application/json object required

Transaction check data to update, referenced by ‘check_id’. The ‘timestamp’ field represents the update time. Only the fields to be updated need to be included.

  • check_id string required

    Unique identifier for a monitoring check belonging to a transaction. This is the primary key for a transaction check and should be unique across all transaction checks. Updates to a transaction check should be made using this identifier.

  • status string

    Allowed values PENDINGCOMPLETEDREQUESTEDASSIGNEDFAILED

  • type string

    The type of monitoring check that is being performed.

    Allowed values INLINE_MONITORINGDELAYED_MONITORING

  • related_tx_id string

    Unique identifier for the transaction for which the check is related to.

  • additional_properties list of objects

    Additional metadata that relates to a transaction check.

    • key string required

      The key of the additional property. This should be unique within the additional properties array.

    • value string required

      The value of the additional property.

    • type string required

      The type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.

      Allowed values STRINGNUMBERBOOLEANOBJECTARRAY

    • description string required

      A description of the additional property. This should provide context for the value.

  • timestamp string required

    The time of the transaction check. This should be in ISO 8601 format. When adding a new transaction check, this field represents the creation time. When updating a transaction check, this represents the time of the update.

    Format date-time

Responses

200 Transaction check updated successfully

  • check_id string required

    Unique identifier for a monitoring check belonging to a transaction. This is the primary key for a transaction check and should be unique across all transaction checks. Updates to a transaction check should be made using this identifier.

  • status string

    Allowed values PENDINGCOMPLETEDREQUESTEDASSIGNEDFAILED

  • type string

    The type of monitoring check that is being performed.

    Allowed values INLINE_MONITORINGDELAYED_MONITORING

  • related_tx_id string

    Unique identifier for the transaction for which the check is related to.

  • additional_properties list of objects

    Additional metadata that relates to a transaction check.

    • key string required

      The key of the additional property. This should be unique within the additional properties array.

    • value string required

      The value of the additional property.

    • type string required

      The type of the additional property value, for example “string”, “number”, “boolean”, “object”, “array”.

      Allowed values STRINGNUMBERBOOLEANOBJECTARRAY

    • description string required

      A description of the additional property. This should provide context for the value.

  • timestamp string required

    The time of the transaction check. This should be in ISO 8601 format. When adding a new transaction check, this field represents the creation time. When updating a transaction check, this represents the time of the update.

    Format date-time

Errors

  • 400 Invalid transaction check data
  • 401 Unauthorized request
  • 404 Transaction check not found
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string